/// <reference types="react" />
export interface WizardHeaderProps extends React.HTMLProps<HTMLDivElement> {
    /** Callback function called when the X (Close) button is clicked */
    onClose?: (event: React.MouseEvent<HTMLButtonElement>) => void;
    /** Title of the wizard */
    title: string;
    /** Description of the wizard */
    description?: React.ReactNode;
    /** Component type of the description */
    descriptionComponent?: 'div' | 'p';
    /** Flag indicating whether the close button should be in the header */
    isCloseHidden?: boolean;
    /** Aria-label applied to the X (Close) button */
    closeButtonAriaLabel?: string;
    /** id for the title */
    titleId?: string;
    /** id for the description */
    descriptionId?: string;
    /** Additional classes spread to the wizard header */
    className?: string;
}
export declare const WizardHeader: React.FunctionComponent<WizardHeaderProps>;
//# sourceMappingURL=WizardHeader.d.ts.map